Recently I have downloaded and installed .Net Framework 2.0 and its corresponding SDK. If I were to install Visual Studio 2010, I will need to install .Net Framework 4.0 first. Is it necessary to install .Net Framework 3.0-3.5 and service packs at all?